## libosmocore 1.5.2

=== debian/changelog ===
libosmocore (1.5.2) unstable; urgency=medium

  [ Philipp Maier ]
  * gsm0503_coding: use ahs tables when encoding ahs codec id

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 24 Sep 2021 14:09:53 +0200
