## libosmocore 1.6.0

=== debian/changelog ===
libosmocore (1.6.0-3build1) jammy; urgency=medium

  * No change rebuild

 -- Bryce Harrington <bryce@canonical.com>  Tue, 29 Mar 2022 22:14:49 +0000

libosmocore (1.6.0-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Mar 2022 21:16:43 +0100

libosmocore (1.6.0-2) experimental; urgency=medium

  * adapt 0003-Setting-library-version-explicitly.patch to
    this version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Mar 2022 19:16:43 +0100

libosmocore (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: add Rules-Requires-Root:

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 02 Jan 2022 00:16:43 +0100

libosmocore (1.5.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use dh13
  * debian/control: add dependency libmnl-dev
  * debian/*.symbol: update symbol files

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Jul 2021 18:32:26 +0200
