## libosmocore 1.7.0

=== debian/changelog ===
libosmocore (1.7.0-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Oct 2022 09:16:43 +0200

libosmocore (1.7.0-2) experimental; urgency=medium

  * debian/control: add libsctp-dev as dependency of libosmocore-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 02 Oct 2022 17:50:00 +0200

libosmocore (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * adapt 0003-Setting-library-version-explicitly.patch to
    this version
  * refresh patches

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Sep 2022 00:57:00 +0200
