=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libosmocore
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 	, Thorsten Alteholz <debian@alteholz.de>
 Section: libs
@@ -26,9 +25,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libosmocodec0 (= ${binary:Version}),
-         libosmocore18 (= ${binary:Version}),
-         libosmogb12 (= ${binary:Version}),
-         libosmogsm17 (= ${binary:Version}),
+         libosmocore19 (= ${binary:Version}),
+         libosmogb14 (= ${binary:Version}),
+         libosmogsm18 (= ${binary:Version}),
          libosmovty9 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim2 (= ${binary:Version}),
@@ -109,7 +108,7 @@
  .
  This package contains the documentation for the libosmocoding library.
 
-Package: libosmocore18
+Package: libosmocore19
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -129,7 +128,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libosmocore18,
+         libosmocore19,
          libjs-jquery,
          libosmocodec-doc,
          libosmogsm-doc,
@@ -143,7 +142,7 @@
  .
  This package contains the documentation for the libosmocore library.
 
-Package: libosmogb12
+Package: libosmogb14
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -159,7 +158,7 @@
  The libosmogb library in particular contains a GPRS BSSGP protocol
  implementation.
 
-Package: libosmogsm17
+Package: libosmogsm18
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -182,7 +181,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libosmogsm17,
+         libosmogsm18,
          libjs-jquery
 Description: Documentation for the Osmo GSM utility library
  This is part of the libosmocore "meta"-library. The libosmocore library
@@ -274,14 +273,15 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libosmocodec0 (= ${binary:Version}),
-         libosmocore18 (= ${binary:Version}),
-         libosmogb12 (= ${binary:Version}),
-         libosmogsm17 (= ${binary:Version}),
+         libosmocore19 (= ${binary:Version}),
+         libosmogb14 (= ${binary:Version}),
+         libosmogsm18 (= ${binary:Version}),
          libosmovty9 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim2 (= ${binary:Version}),
          libosmocoding0 (= ${binary:Version}),
          libtalloc-dev,
+         libsctp-dev,
          ${misc:Depends}
 Description: Development headers for Open Source MObile COMmunications CORE library
  The header files provided by this package may be used to develop
@@ -302,3 +302,4 @@
  They use the libosmocore library. The libosmocore library contain various
  utility functions that were originally developed as part of the OpenBSC
  project, but which are of a more generic nature and thus useful to (at least)
+ other programs that are developed in the sphere of Free Software / Open Source
